Subject: Re: [RFC PATCH 00/13] Ultra Ethernet driver introduction

From: Jason Gunthorpe <[email-masked]>
Date: Thu, 20 Mar 2025 11:32:53 -0300

On Thu, Mar 20, 2025 at 07:13:01PM +0800, Yunsheng Lin wrote:

> As the existing rdma subsystem doesn't seems to support the above
> use case yet

Why would you say that? If EFA needs SRD and RDM objects in RDMA they
can create them, it is not a big issue. To my knowledge they haven't
asked for them.

mlx5 has all kinds of wacky objects these days, it is not an issue to
allow HW to innovate however it likes within RDMA, and we are not
limited to purely IBTA defined verbs like objects any longer.

mlx5 already has RDM like objects <shrug>

> As the existing rdma subsystem doesn't seems to support the above
> use case yet and as we are discussing a possible new subsystem or

If you want something concrete then ask for it and we can discuss how
to fit it in.

Jason